$(document).ready(function () {

    $("#loginBtn").click(function () {
   
        var id = $("#inputUser").val();
        var pwd = $("#inputPassword").val();

        var err_msg = "";



        if (id === "") {
            err_msg += "請輸入帳號!\n";
        }

        if (pwd === "") {
            err_msg += "請輸入密碼!\n";
        }

        if (err_msg !== "") {
            alert(err_msg);
            return;
        }

        pwd = sha256_digest(pwd);

        var formData = {
            id: $("#inputUser").val(),
            pwd: pwd
        }

        $.ajax({
            url: "/BackEndApi/signin",
            type: "POST",
            data: formData,
            success: function (data, textStatus, jqXHR) {
                if (data.ret == "yes") {
                    location.href = "/BackEnd/NewsList";
                } else {
                    alert(data.message);
                }
            },
            error: function (jqXHR, textStatus, errorThrown) {
                alert('網路或伺服器發生錯誤，請稍後重試!');
            }
        });
    });
});